package com.sifang.modules.sys.extention.permission.handlers;

import com.sifang.modules.sys.extention.permission.AbstractPermissionFilter;
import com.sifang.modules.sys.extention.permission.PermissionHandler;
import com.sifang.modules.sys.extention.permission.PermissionVo;

import java.util.HashMap;

public class StartHandler implements PermissionHandler{

    public StartHandler(AbstractPermissionFilter apf) {
        apf.setVo(new PermissionVo());
    }

    @Override
    public void handler(PermissionVo vo) {

        if(vo.getData() == null){
            vo.setData(new HashMap<String, String>());
        }
    }
}
